curl --request POST \
--url https://eu1.api.matillion.com/dpc/v1/projects/{projectId}/streaming-pipelines \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"agentId": "12345678-1234-1234-1234-123456789012",
"name": "A Streaming Pipeline",
"streamingSource": {
"connection": {
"host": "127.0.0.1",
"password": {
"secretName": "the-secret-name",
"secretKey": "the-secret-key",
"secretLocation": "the-secret-location"
},
"port": 8471,
"username": "db2_streaming_user",
"jdbcProperties": {
"date format": "ymd"
}
},
"tables": [
{
"schema": "SCHEMA_A",
"table": "TABLE_A"
}
]
},
"streamingTarget": {
"accountKey": {
"secretName": "the-secret-name",
"secretKey": "the-secret-key",
"secretLocation": "the-secret-location"
},
"accountName": "abs-account-name",
"container": "streaming-container",
"prefix": "streaming-prefix"
},
"advancedProperties": {
"max.batch.size": 10000
}
}
'import requests
url = "https://eu1.api.matillion.com/dpc/v1/projects/{projectId}/streaming-pipelines"
payload = {
"agentId": "12345678-1234-1234-1234-123456789012",
"name": "A Streaming Pipeline",
"streamingSource": {
"connection": {
"host": "127.0.0.1",
"password": {
"secretName": "the-secret-name",
"secretKey": "the-secret-key",
"secretLocation": "the-secret-location"
},
"port": 8471,
"username": "db2_streaming_user",
"jdbcProperties": { "date format": "ymd" }
},
"tables": [
{
"schema": "SCHEMA_A",
"table": "TABLE_A"
}
]
},
"streamingTarget": {
"accountKey": {
"secretName": "the-secret-name",
"secretKey": "the-secret-key",
"secretLocation": "the-secret-location"
},
"accountName": "abs-account-name",
"container": "streaming-container",
"prefix": "streaming-prefix"
},
"advancedProperties": { "max.batch.size": 10000 }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
agentId: '12345678-1234-1234-1234-123456789012',
name: 'A Streaming Pipeline',
streamingSource: {
connection: {
host: '127.0.0.1',
password: {
secretName: 'the-secret-name',
secretKey: 'the-secret-key',
secretLocation: 'the-secret-location'
},
port: 8471,
username: 'db2_streaming_user',
jdbcProperties: {'date format': 'ymd'}
},
tables: [{schema: 'SCHEMA_A', table: 'TABLE_A'}]
},
streamingTarget: {
accountKey: {
secretName: 'the-secret-name',
secretKey: 'the-secret-key',
secretLocation: 'the-secret-location'
},
accountName: 'abs-account-name',
container: 'streaming-container',
prefix: 'streaming-prefix'
},
advancedProperties: {'max.batch.size': 10000}
})
};
fetch('https://eu1.api.matillion.com/dpc/v1/projects/{projectId}/streaming-pipelines', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"advancedProperties": {
"max.batch.size": 10000
},
"agentId": "12345678-1234-1234-1234-123456789012",
"name": "A Streaming Pipeline",
"projectId": "12345678-1234-1234-1234-123456789012",
"streamingPipelineId": "12345678-1234-1234-1234-123456789012",
"streamingSource": {
"connection": {
"host": "127.0.0.1",
"password": {
"secretName": "the-secret-name",
"secretKey": "the-secret-key",
"secretLocation": "the-secret-location"
},
"port": 8471,
"username": "db2_streaming_user",
"jdbcProperties": {
"date format": "ymd"
}
},
"tables": [
{
"schema": "SCHEMA_A",
"table": "TABLE_A"
}
]
},
"streamingTarget": {
"accountKey": {
"secretName": "the-secret-name",
"secretKey": "the-secret-key",
"secretLocation": "the-secret-location"
},
"accountName": "abs-account-name",
"container": "streaming-container",
"prefix": "streaming-prefix"
}
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}Create a streaming pipeline definition
Creates a new streaming pipeline definition in the account and project
Authorizations
a valid bearer token
Path Parameters
The ID of the project in which to create the streaming pipeline definition
Body
The details of the streaming pipeline definition to create
The ID of the agent that will run the streaming pipeline
"12345678-1234-1234-1234-123456789012"
The name of the streaming pipeline
1"A Streaming Pipeline"
The details of the streaming source
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
Show child attributes
Show child attributes
The details of the streaming target
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Any additional properties for the streaming pipeline
Show child attributes
Show child attributes
{ "max.batch.size": 10000 }
Response
Successfully created the streaming pipeline definition
Any additional properties for the streaming pipeline
Show child attributes
Show child attributes
{ "max.batch.size": 10000 }
The ID of the agent that will run the streaming pipeline
"12345678-1234-1234-1234-123456789012"
The name of the streaming pipeline
"A Streaming Pipeline"
The ID of the project that contains the streaming pipeline definition
"12345678-1234-1234-1234-123456789012"
The ID of the streaming pipeline definition
"12345678-1234-1234-1234-123456789012"
The details of the streaming source
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
Show child attributes
Show child attributes
The details of the streaming target
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Was this page helpful?
